description

# ObjectMirror class Null safety

An ObjectMirror is a common superinterface of InstanceMirror, ClassMirror, and LibraryMirror that represents their shared functionality.

For the purposes of the mirrors library, these types are all object-like, in that they support method invocation and field access. Real Dart objects are represented by the InstanceMirror type.

See InstanceMirror, ClassMirror, and LibraryMirror.

Implemented types
  - Mirror
Implementers
  - ClassMirror
  - InstanceMirror
  - LibraryMirror

## Constructors

ObjectMirror()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

delegate(Invocation invocation) → dynamic
  Performs `invocation` on the reflectee of this ObjectMirror. [...]
getField(Symbol fieldName) → InstanceMirror
  Invokes a getter and returns a mirror on the result. [...]
invoke(Symbol memberName, List positionalArguments, [Map<Symbol, dynamic> namedArguments = const <Symbol, dynamic>{}]) → InstanceMirror
  Invokes the named function and returns a mirror on the result. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
setField(Symbol fieldName, dynamic value) → InstanceMirror
  Invokes a setter and returns a mirror on the result. [...]
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited